void atomicAdd(double *, double) { return; }

#pragma imcl grid_size(10, 10)
void check_sum_kernel(
        int var,
        int num_iter,
        int *list_of_n,
        double* data,
        double* out_sum
) {
    int idx1 = idx + 1;
    int idy1 = idy + 1;
    double sum = 0.0;
    for (int i = 0; i < num_iter; ++i) {
        int n = list_of_n[i];
        double *bp = &data[(n * 40 * 12 * 12 * 12) + (var * 12 * 12 * 12)];
        for (int z = 1; z <= 10; ++z) {
            sum += bp[(z * 12 * 12) + (idy1 * 12) + idx1];
        }
    }
    atomicAdd(out_sum, sum);
}
